List reservations

Returns the organization's reservations, most recently created first.

GET
/v1/reservations

Returns the organization's reservations, most recently created first.

Authorization

AuthorizationBearer <token>

The organization API key, sent as Authorization: Bearer <key>.

In: header

Query Parameters

limit?integer

How many items to return. Maximum 100.

Range1 <= value <= 100
Default25
offset?|

How many items to skip from the beginning.

Range0 <= value
Default0
poolId?string
status?string

Value in

  • "hold"
  • "confirmed"
  • "cancelled"
  • "expired"
  • "no_show"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/reservations"
{  "data": [    {      "allocationId": "string",      "cancelledAt": "2019-08-24T14:15:22Z",      "channel": "string",      "confirmedAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "customerId": "string",      "externalId": "string",      "guestName": "string",      "holdExpiresAt": "2019-08-24T14:15:22Z",      "id": "string",      "notes": "string",      "occupancyNights": 0,      "occupancyStart": "string",      "opportunityId": "string",      "pax": 0,      "poolId": "string",      "quantity": 0,      "slotKey": "string",      "source": "platform",      "status": "hold",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "pagination": {    "limit": 0,    "offset": 0,    "total": 0  }}